package org.processmining.xesstandardconnector.algorithms;

import java.io.File;
import java.io.IOException;

import org.deckfour.xes.model.XLog;
import org.processmining.framework.plugin.PluginContext;
import org.processmining.log.utils.XUtils;
import org.processmining.xesstandardconnector.configurations.XesConvertFromXLogConfiguration;
import org.xesstandard.model.XesLog;

public abstract class XesExportAbstractAlgorithm {
	
	public void export(PluginContext context, XLog log, File file) throws IOException {
		XesConvertFromXLogAlgorithm convertor = new XesConvertFromXLogAlgorithm();
		XesConvertFromXLogConfiguration config = new XesConvertFromXLogConfiguration();
//		config.setDropTraces(true);
		
		if (context == null) {
			doExport(convertor.convertFrom(log, config), file);
		} else {
			String originalName = XUtils.renameLogWithProMLabel(context, log);
			try {
				doExport(convertor.convertFrom(log, config), file);
			} finally {
				// Re-assign the original name to avoid changing the XLog object as ProMs connection framework might depend on it
				XUtils.assignConceptName(log, originalName);
			}
		}
	}

	public abstract void doExport(XesLog log, File file) throws IOException;

}
