package org.processmining.xesstandardconnector.plugins;

import java.io.BufferedOutputStream;
import java.io.File;
import java.io.FileOutputStream;
import java.io.IOException;
import java.util.zip.GZIPOutputStream;

import org.deckfour.xes.model.XLog;
import org.processmining.contexts.uitopia.UIPluginContext;
import org.processmining.contexts.uitopia.annotations.UIExportPlugin;
import org.processmining.contexts.uitopia.annotations.UITopiaVariant;
import org.processmining.framework.plugin.annotations.Plugin;
import org.processmining.framework.plugin.annotations.PluginLevel;
import org.processmining.framework.plugin.annotations.PluginVariant;
import org.processmining.xesstandardconnector.algorithms.XesExportAbstractAlgorithm;
import org.xesstandard.model.XesLog;
import org.xesstandard.xml.XesXmlWriterStax;

@Plugin(name = "Export Log to Indented and Compressed IEEE XES File", level = PluginLevel.PeerReviewed, parameterLabels = { "Log",
"File" }, returnLabels = {}, returnTypes = {}, userAccessible = true)
@UIExportPlugin(description = "Indented and Compressed IEEE XES Files", extension = "xez")
public class XesExportStaxIndentedCompressedPlugin extends XesExportAbstractAlgorithm {

	@UITopiaVariant(affiliation = UITopiaVariant.EHV, author = "H.M.W Verbeek", email = "h.m.w.verbeek@tue.nl")
	@PluginVariant(requiredParameterLabels = { 0, 1 }, variantLabel = "Export Log to Indented and Compressed IEEE XES File")
	public void export(UIPluginContext context, XLog log, File file) throws IOException {
		super.export(context, log, file);
	}

	public void doExport(XesLog log, File file) throws IOException {
		// Calls the static method for backwards compatibility
		export(log, file);
	}

	public static void export(XesLog log, File file) throws IOException {
		FileOutputStream out = new FileOutputStream(file);
		GZIPOutputStream gzos = new GZIPOutputStream(out);
		BufferedOutputStream bos = new BufferedOutputStream(gzos);
		XesXmlWriterStax writer = new XesXmlWriterStax(true);
		writer.write(log, bos);
		bos.flush();
		gzos.flush();
		out.flush();
		bos.close();
		gzos.close();
		out.close();
	}
}
