package org.processmining.xesstandardconnector.plugins;

import java.io.File;
import java.io.FileOutputStream;
import java.io.IOException;

import org.deckfour.xes.model.XLog;
import org.processmining.contexts.uitopia.UIPluginContext;
import org.processmining.contexts.uitopia.annotations.UIExportPlugin;
import org.processmining.contexts.uitopia.annotations.UITopiaVariant;
import org.processmining.framework.plugin.annotations.Plugin;
import org.processmining.framework.plugin.annotations.PluginLevel;
import org.processmining.framework.plugin.annotations.PluginVariant;
import org.processmining.xesstandardconnector.algorithms.XesExportAbstractAlgorithm;
import org.xesstandard.model.XesLog;
import org.xesstandard.xml.XesXmlWriterStax;

@Plugin(name = "Export Log to IEEE XES File", level = PluginLevel.PeerReviewed, parameterLabels = { "Log",
		"File" }, returnLabels = {}, returnTypes = {}, userAccessible = true)
@UIExportPlugin(description = "IEEE XES Files", extension = "xes")
public class XesExportStaxPlugin extends XesExportAbstractAlgorithm {

	@UITopiaVariant(affiliation = UITopiaVariant.EHV, author = "H.M.W Verbeek", email = "h.m.w.verbeek@tue.nl")
	@PluginVariant(requiredParameterLabels = { 0, 1 }, variantLabel = "Export Log to IEEE XES File")
	public void export(UIPluginContext context, XLog log, File file) throws IOException {
		super.export(context, log, file);
	}

	public void doExport(XesLog log, File file) throws IOException {
		// Calls the static method for backwards compatibility
		export(log, file);
	}

	private static void export(XesLog log, File file) throws IOException {
		FileOutputStream out = new FileOutputStream(file);
		XesXmlWriterStax writer = new XesXmlWriterStax();
		writer.write(log, out);
		out.close();
	}

}
