package org.processmining.xesstandardconnector.plugins;

import org.deckfour.xes.model.XLog;
import org.processmining.contexts.uitopia.annotations.UIImportPlugin;
import org.processmining.framework.plugin.annotations.Plugin;
import org.processmining.xesstandardconnector.algorithms.XesImportAbstractAlgorithm;
import org.xesstandard.xml.XesXmlIssueLevel;
import org.xesstandard.xml.XesXmlParserConforming;

@Plugin(name = "Import Conforming Log from IEEE XES Log File", parameterLabels = { "Filename" }, returnLabels = {
		"Log" }, returnTypes = { XLog.class })
@UIImportPlugin(description = "Import Conforming Log from IEEE XES Log File", extensions = { "xes" })
public class XesImportConformingPlugin extends XesImportAbstractAlgorithm {

	public XesImportConformingPlugin() {
		super(new XesXmlParserConforming(), XesXmlIssueLevel.CONFORMING, false);
	}

}
