package org.processmining.xesstandardconnector.plugins;

import org.deckfour.xes.model.XLog;
import org.processmining.contexts.uitopia.annotations.UIImportPlugin;
import org.processmining.framework.plugin.annotations.Plugin;
import org.processmining.xesstandardconnector.algorithms.XesImportAbstractAlgorithm;
import org.xesstandard.xml.XesXmlIssueLevel;
import org.xesstandard.xml.XesXmlParserLenient;

@Plugin(name = "Import Lenient Log from Compressed IEEE XES Log File", parameterLabels = {
		"Filename" }, returnLabels = { "Log" }, returnTypes = { XLog.class })
@UIImportPlugin(description = "Import Lenient Log from Compressed IEEE XES Log File", extensions = { "gz", "xez" })
public class XesImportLenientCompressedPlugin extends XesImportAbstractAlgorithm {

	public XesImportLenientCompressedPlugin() {
		super(new XesXmlParserLenient(), XesXmlIssueLevel.LENIENT, true);
	}

}
