package org.processmining.xesstandardconnector.plugins;

import org.deckfour.xes.model.XLog;
import org.processmining.contexts.uitopia.annotations.UIImportPlugin;
import org.processmining.framework.plugin.annotations.Plugin;
import org.processmining.xesstandardconnector.algorithms.XesImportAbstractAlgorithm;
import org.xesstandard.xml.XesXmlIssueLevel;
import org.xesstandard.xml.XesXmlParserLenient;

@Plugin(name = "Import Lenient Log from IEEE XES Log File", parameterLabels = { "Filename" }, returnLabels = {
		"Log" }, returnTypes = { XLog.class })
@UIImportPlugin(description = "Import Lenient Log from IEEE XES Log File", extensions = { "xes" })
public class XesImportLenientPlugin extends XesImportAbstractAlgorithm {

	public XesImportLenientPlugin() {
		super(new XesXmlParserLenient(), XesXmlIssueLevel.LENIENT, false);
	}

}
