package org.processmining.xesstandardconnector.plugins;

import org.deckfour.xes.model.XLog;
import org.processmining.contexts.uitopia.annotations.UIImportPlugin;
import org.processmining.framework.plugin.annotations.Plugin;
import org.processmining.xesstandardconnector.algorithms.XesImportAbstractAlgorithm;
import org.xesstandard.xml.XesXmlIssueLevel;
import org.xesstandard.xml.XesXmlParserStrictlyConforming;

@Plugin(name = "Import Strictly Conforming Log from Compressed IEEE XES Log File", parameterLabels = {
		"Filename" }, returnLabels = { "Log" }, returnTypes = { XLog.class })
@UIImportPlugin(description = "Import Strictly Conforming Log from Compressed IEEE XES Log File", extensions = { "gz",
		"xez" })
public class XesImportStrictlyConformingCompressedPlugin extends XesImportAbstractAlgorithm {

	public XesImportStrictlyConformingCompressedPlugin() {
		super(new XesXmlParserStrictlyConforming(), XesXmlIssueLevel.STRICTLYCONFORMING, true);
	}

}
